'Newland.CityTheme:SpacingMixin':
  abstract: true

  properties:
    marginTop:
      type: string
      defaultValue: 'spacing-top--md'
      ui:
        label: Abstand nach oben
        reloadIfChanged: true
        inspector:
          group: display
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              none:
                label: kein Abstand
                value: 'spacing-top--none'
              xs:
                label: sehr klein
                value: 'spacing-top--xs'
              sm:
                label: klein
                value: 'spacing-top--sm'
              default:
                label: mittel (Standard)
                value: 'spacing-top--md'
              lg:
                label: groß
                value: 'spacing-top--lg'
              xl:
                label: sehr groß
                value: 'spacing-top--xl'
              xxl:
                label: maximal groß
                value: 'spacing-top--xxl'
